locked WSJT-X 1.6.0 Devel Package for Debian/Ubuntu Available


KI7MT <ki7mt01@...>
 

Hello All,

DISCLAIMER: All of the PPA builds are "Snapshots" of their respective
branch. In this case ../branches/wsjtx ( v1.6.0-devel ). With very few
exceptions, there is no guarantee a given feature / function will work,
or even be included in the final Official Release. Also, things may not
always work as intended, or in some cases, they may not work at all;
this is normal during development cycles. Please bare that in mind when
posting any problems. At present, the current build is for wsjtx-r5558

Following Joe's post about WSPR Mode in WSJT-X v1.6.0 (
http://wsprnet.org/drupal/node/5563 ), I've made available the packages
( in PPA form ) to install WSJT-X v1.6.0 Devel ( which includes the new
WSPR Mode, C++ decoder + other items ) and kvasd-installer for managing
the KVASD Binary.

These PPA's include *experimental support* for ARMv7 devices ( RPI-2 and
the like ), supporting both Debian Jessie and Ubuntu-Mate. Please note,
only minimal testing has be conducted on the ARMv7 builds.

Instructions below detail how to enable Launchpad PPA's for use with
Ubuntu and Debian, as they differ slightly. The i386/amd64 binaries are
fairly well tested by the community via source code builds.


SUPPORTED DISTROS / ARCH
ARCH.....: i386, amd64, ARMv7
ARMv7 ...: Ubuntu-Mate and Debian Jessie
DISTRO...: Ubuntu (14.04, 14.10, 15.04, 15.10)
.........: Mint 17.1 LTS (Uses Ubuntu 14.04 repos)
.........: Debian Jessie (8.x)


UBUNTU INSTALLATION
-All in a terminal
* sudo add-apt-repository ppa:ki7mt/wsjtx-next
* Accept PGP Key
* sudo add-apt-repository ppa:ki7mt/kvasd-installer
* Accept PGP Key
* sudo apt-get update
* sudo apt-get install wsjtx kvasd-installer
* Run kvasd-installer
* Select [I] Install Decoder
* Exit
* Run wsjtx

Note: If you've already enabled / installed kvasd-installer, you do not
need to re-enable / re-install it. However, you should test that KVASD
is functional, either with kvasd-installer or the command line directly.


DEBIAN INSTALLATION
-Edit your source list, adding the source lines listed below

* sudo nano /etc/apt/sources.list

# Enable WSJTX PPA for Dbian
#-----
deb http://ppa.launchpad.net/ki7mt/kvasd-installer/ubuntu trusty main
deb http://ppa.launchpad.net/ki7mt/wsjtx-next/ubuntu trusty main
#-----

Ctrl+X, Enter to save and exit

* sudo apt-get update
* sudo apt-get install wsjtx kvasd-installer
* Run kvasd-installer
* Select [I] Install Decoder
* Exit
* Run wsjtx

UPDATES DEBIAN && UBUNTU
-Updates are delivered through your normal Update && Upgrade process


GENERAL COMMENTS
* When using the wsjtx-next PPA, more than likely, this version will be
higher than other packages available. As such, previous versions will be
removed and replaced with whatever is in the PPA.

* As this is for development testing, the use of update-alternatives has
not been enabled.

* Although the PPA package name is different ( by design ), the package
itself ( wsjtx ) is unchanged. All actions should use ( wsjtx ) as the
name; installing, removal, updating etc.


If you have any issues, or things are not working properly for you, post
them to: < wsjt-devel@... >


73's
Greg, KI7MT

Join main@WSJTX.groups.io to automatically receive all group messages.